ERC1155 Mint Request

This API is used by the customer to request ERC1155 type NFT mints from the smart contract.

Required Parameters :-

toAddress - This is the initial wallet address to which the NFT will be directly minted

noOfCopies - This is the number of fungible copies to be created for the same token

blockchainType - Blockchain network to be used:

0 for Ethereum and
1 for Polygon

networkType - network type for the specified blockchain:

For BlockchainType Ethereum:

0 for Ethereum Mainnet
1 for Ropsten Testnet
2 for Rinkeby Testnet

For BlockchainType Polygon:

0 for Polygon Mainnet
1 for Polygon Mumbai

tokenId - Desired token ID for the NFT mint

Uri - This is the uri for the metadata for the NFT

smartContractSymbol - This is the symbol of the smart contract

Body Params
string
integer
integer
string
string
string
integer
Responses
200

requestId & Uri

400

Bad Request Errors

404

Asset does Not Exist
User Does Not Exist

406

Non Authenticated User
Errors(from internal methods)
Please Provide noOfCopies As Number Value
Please Provide blockchainType As Number Value
Please Provide networkType As Number Value
Wrong Blockchain Type. Please Provide Correct Number. 0 (Ethereum) or 1 (Polygon)
Wrong Network Type. Please Provide Correct Number. 0 (Polygon Mainnet) or 1 (Polygon Mumbai)
Wrong Network Type. Please Provide Correct Number. 0 (Mainnet) or 1 (Ropsten) or 2 (Rinkeby)
collectionName Alredy Exist Please Provide Different collectionName. In Case You have Not Provided collectionName Then Provide Different Asset Name
Please Provide Asset Name

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here!